<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-decoration-heading"
        data-cy="DecorationCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.decoration.home.createOrEditLabel"
      >
        Créer ou éditer un Decoration
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.decoration.dateDecoration" for="field_dateDecoration"
            >Date Decoration</label
          >
          <div class="input-group">
            <input
              id="field_dateDecoration"
              data-cy="dateDecoration"
              type="text"
              class="form-control"
              name="dateDecoration"
              ngbDatepicker
              #dateDecorationDp="ngbDatepicker"
              formControlName="dateDecoration"
            />
            <button type="button" class="btn btn-secondary" (click)="dateDecorationDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.decoration.typeDecoration" for="field_typeDecoration"
            >Type Decoration</label
          >
          <select
            class="form-control"
            id="field_typeDecoration"
            data-cy="typeDecoration"
            name="typeDecoration"
            formControlName="typeDecoration"
            [compareWith]="compareTypeDecoration"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="typeDecorationOption" *ngFor="let typeDecorationOption of typeDecorationsSharedCollection">
              {{ typeDecorationOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.decoration.employe" for="field_employe">Employe</label>
          <select
            class="form-control"
            id="field_employe"
            data-cy="employe"
            name="employe"
            formControlName="employe"
            [compareWith]="compareEmploye"
          >
            <option [ngValue]="null"></option>
            <!--option [ngValue]="employeOption" *ngFor="let employeOption of employesSharedCollection">{{ employeOption.id }}</option-->
            <option [ngValue]="employeOption" *ngFor="let employeOption of employesSharedCollection">{{ employeOption.matricule }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
